<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.object.service.impl.ObjectRelationshipLocalServiceImpl" activate="activate" deactivate="deactivate">
  <property name="model.class.name" type="String" value="com.liferay.object.model.ObjectRelationship"/>
  <service>
    <provide interface="com.liferay.portal.aop.AopService"/>
  </service>
  <reference name="_currentConnection" interface="com.liferay.portal.kernel.dao.jdbc.CurrentConnection" field="_currentConnection"/>
  <reference name="_objectDefinitionLocalService" cardinality="0..1" policy="dynamic" interface="com.liferay.object.service.ObjectDefinitionLocalService" policy-option="greedy" field="_objectDefinitionLocalService"/>
  <reference name="_objectDefinitionPersistence" interface="com.liferay.object.service.persistence.ObjectDefinitionPersistence" field="_objectDefinitionPersistence"/>
  <reference name="_objectEntryLocalService" interface="com.liferay.object.service.ObjectEntryLocalService" field="_objectEntryLocalService"/>
  <reference name="_objectFieldLocalService" interface="com.liferay.object.service.ObjectFieldLocalService" field="_objectFieldLocalService"/>
  <reference name="_objectFieldPersistence" interface="com.liferay.object.service.persistence.ObjectFieldPersistence" field="_objectFieldPersistence"/>
  <reference name="_objectFieldSettingLocalService" interface="com.liferay.object.service.ObjectFieldSettingLocalService" field="_objectFieldSettingLocalService"/>
  <reference name="_objectLayoutTabPersistence" interface="com.liferay.object.service.persistence.ObjectLayoutTabPersistence" field="_objectLayoutTabPersistence"/>
  <reference name="_relatedInfoCollectionProviderFactory" interface="com.liferay.object.internal.info.collection.provider.RelatedInfoCollectionProviderFactory" field="_relatedInfoCollectionProviderFactory"/>
  <reference name="_systemObjectDefinitionManagerRegistry" interface="com.liferay.object.system.SystemObjectDefinitionManagerRegistry" field="_systemObjectDefinitionManagerRegistry"/>
  <reference name="_userLocalService" interface="com.liferay.portal.kernel.service.UserLocalService" field="_userLocalService"/>
  <reference name="counterLocalService" interface="com.liferay.counter.kernel.service.CounterLocalService" field="counterLocalService"/>
  <reference name="objectRelationshipPersistence" interface="com.liferay.object.service.persistence.ObjectRelationshipPersistence" field="objectRelationshipPersistence"/>
  <implementation class="com.liferay.object.service.impl.ObjectRelationshipLocalServiceImpl"/>
</scr:component>
